Subject: [p2p-sip] Where will P2PSIP NAT work be done (was: Fw: STUN(r fc3489))

From: RADHIKA.R.ROY at saic.com (Roy, Radhika R.)
Date: Wed, 5 Jul 2006 22:05:34 -0400

Philip:
 
I also agree with this.
 
For example, David's paper (DHT Design for Public Commns System) refers to
another paper (NUTSS: SIGCOM 2004) that deals with the FW/NAT crossing for
p2p system. This paper shows that STUN/TURN/ICE can also be used p2p system
with some  extensions.
 
Well this may not be enough to confirm the fact we have a solution at hand
for FW/NAT crossing by the p2p system, but it shows how the overall approach
of FW/NAT crossing for the p2p system may look like.
 
If this is the case, it is quite possible that the FW/NAT crossing works may
be done in other WGs even for the p2p system.
 
By the way, the NUTSS p2p FW/NAT crossing paper shows almost clearly what
additional aspects for p2p system in addition what is being done in
STUN/TURN/ICE. We may learn the p2p FW/NAT crossing requirements from this
paper and others as well.
 
Best regards,
Radhika
 
BTW: NSIS QOS signaling protocol and IPSec have developed their own FW/NAT
crossing standard.

  _____  

From: p2p-sip-bounces at cs.columbia.edu on behalf of Philip Matthews
Sent: Wed 7/5/2006 1:45 PM
To: Spencer Dawkins
Cc: P2P-SIP; David A. Bryan
Subject: Re: [p2p-sip] Where will P2PSIP NAT work be done (was: Fw:
STUN(rfc3489))

I mostly agree with David on this one.

I suspect that much of the work on NAT traversal will happen in other 
WGs,
even if it is done for P2PSIP purposes.

For example, I have been spending a fair amount of time recently on ICE
(= an MMUSIC protocol for setting up connections between two peers
in NAT situations) to make sure it will work well in P2PSIP 
applications.

- Philip

On 4-Jul-06, at 09:14 , David A. Bryan wrote:

> My personal hope is that we consider NAT traversal as an important and
> integral issue, but any actual new work in the area be done in other
> working groups. I think we should architect our protocols to work with
> NATs, and if needed refer problems (if any) with the current suite of
> tools to other WGs (BEHAVE, MMUSIC, or what have you).
>
> David
>